#!/usr/bin/python
# -*- coding: utf-8 -*-

# Code mfaraj57 and Fairbird

from __future__ import print_function
import os

from Screens.Screen import Screen
from Screens.MessageBox import MessageBox
from Components.ActionMap import ActionMap
from Components.config import *
from Components.ConfigList import ConfigListScreen
from Components.MenuList import MenuList
from Components.Label import Label
from Components.Input import Input
from Components.Pixmap import Pixmap
from Tools.Directories import resolveFilename, SCOPE_PLUGINS

from Plugins.SystemPlugins.NewVirtualKeyBoard.tools import *
VER = getversioninfo()

config.NewVirtualKeyBoard = ConfigSubsection()
config.NewVirtualKeyBoard.keys_layout = ConfigText(default='', fixed_size=False)
config.NewVirtualKeyBoard.lastsearchText = ConfigText(default='Enter search word', fixed_size=False)
config.NewVirtualKeyBoard.firsttime = ConfigYesNo(default=True)
config.NewVirtualKeyBoard.textinput = ConfigSelection(default='VirtualKeyBoard', choices=[('VirtualKeyBoard', _('Image virtual keyboard')), ('NewVirtualKeyBoard', _('New Virtual Keyboard'))])
config.NewVirtualKeyBoard.showinplugins = ConfigYesNo(default = True)
config.NewVirtualKeyBoard.showsuggestion = ConfigYesNo(default=True)
config.NewVirtualKeyBoard.fontssize = ConfigInteger(default = 0, limits = (0, 30))

try:
	FONTSSIZE = config.NewVirtualKeyBoard.fontssize.value
except:
	FONTSSIZE = 0

class nvKeyboardSetup(ConfigListScreen, Screen):
    if not DreamOS():
    	if isFHD():
        	skin = """
        	<screen name="nvKeyboardSetup" position="center,center" size="1080,300" backgroundColor="#16000000" title="New Virtual Keyboard Settings  V %s">
            	<widget name="config" position="30,30" size="1020,190" itemHeight="45" font="Regular;30" scrollbarMode="showOnDemand" transparent="1" zPosition="2" />
            
            	<ePixmap position="30,230" size="38,38" pixmap="~/images/key_red.png" zPosition="3" transparent="1" alphatest="blend" />
             	<eLabel position="78,230" zPosition="4" size="300,38" valign="center" font="Regular;30" transparent="1" foregroundColor="#ffffff" backgroundColor="#41000000" text="Cancel" />
             
            	<ePixmap position="330,230" size="38,38" pixmap="~/images/key_green.png" zPosition="3" transparent="1" alphatest="blend" />
            	<eLabel position="378,230" zPosition="4" size="300,38" valign="center" font="Regular;30" transparent="1" foregroundColor="#ffffff" backgroundColor="#41000000" text="Save" />
            
            	<ePixmap position="630,230" size="38,38" pixmap="~/images/key_yellow.png" zPosition="3" transparent="1" alphatest="blend" />
            	<eLabel position="678,230" zPosition="4" size="420,38" valign="center" font="Regular;30" transparent="1" foregroundColor="#ffffff" backgroundColor="#41000000" text="Virtual keyboard" />
        	</screen>""" % VER
    	else:
        	skin = """
        	<screen name="nvKeyboardSetup" position="center,center" size="720,190" backgroundColor="#16000000" title="New Virtual Keyboard Settings  V %s">
            	<widget name="config" position="20,20" size="680,345" itemHeight="30" font="Regular;20" scrollbarMode="showOnDemand" transparent="1" zPosition="2" />
                    
            	<ePixmap position="20,150" size="25,25" pixmap="~/images/key_red_sd.png" zPosition="3" transparent="1" alphatest="blend" />
            	<eLabel position="52,150" zPosition="4" size="200,25" valign="center" font="Regular;20" transparent="1" foregroundColor="#ffffff" backgroundColor="#41000000" text="Cancel" />
                        
            	<ePixmap position="220,150" size="25,25" pixmap="~/images/key_green_sd.png" zPosition="3" transparent="1" alphatest="blend" />
            	<eLabel position="252,150" zPosition="4" size="200,25" valign="center" font="Regular;20" transparent="1" foregroundColor="#ffffff" backgroundColor="#41000000" text="Save" />
             
            	<ePixmap position="420,150" size="25,25" pixmap="~/images/key_yellow_sd.png" zPosition="3" transparent="1" alphatest="blend" />
            	<eLabel position="452,150" zPosition="4" size="280,25" valign="center" font="Regular;20" transparent="1" foregroundColor="#ffffff" backgroundColor="#41000000" text="Virtual keyboard" />
        	</screen>""" % VER
    else:
    	if isFHD():
        	skin = """
        	<screen name="nvKeyboardSetup" position="center,center" size="1080,300" backgroundColor="#16000000" title="New Virtual Keyboard Settings  V %s">
            	<widget name="config" position="30,30" size="1020,190" scrollbarMode="showOnDemand" transparent="1" zPosition="2" />
            
            	<ePixmap position="30,230" size="38,38" pixmap="~/images/key_red.png" zPosition="3" transparent="1" alphatest="blend" />
             	<eLabel position="78,230" zPosition="4" size="300,38" valign="center" font="Regular;30" transparent="1" foregroundColor="#ffffff" backgroundColor="#41000000" text="Cancel" />
             
            	<ePixmap position="330,230" size="38,38" pixmap="~/images/key_green.png" zPosition="3" transparent="1" alphatest="blend" />
            	<eLabel position="378,230" zPosition="4" size="300,38" valign="center" font="Regular;30" transparent="1" foregroundColor="#ffffff" backgroundColor="#41000000" text="Save" />
            
            	<ePixmap position="630,230" size="38,38" pixmap="~/images/key_yellow.png" zPosition="3" transparent="1" alphatest="blend" />
            	<eLabel position="678,230" zPosition="4" size="420,38" valign="center" font="Regular;30" transparent="1" foregroundColor="#ffffff" backgroundColor="#41000000" text="Virtual keyboard" />
        	</screen>""" % VER
    	else:
        	skin = """
        	<screen name="nvKeyboardSetup" position="center,center" size="720,190" backgroundColor="#16000000" title="New Virtual Keyboard Settings  V %s">
            	<widget name="config" position="20,20" size="680,345" scrollbarMode="showOnDemand" transparent="1" zPosition="2" />
                    
            	<ePixmap position="20,150" size="25,25" pixmap="~/images/key_red_sd.png" zPosition="3" transparent="1" alphatest="blend" />
            	<eLabel position="52,150" zPosition="4" size="200,25" valign="center" font="Regular;20" transparent="1" foregroundColor="#ffffff" backgroundColor="#41000000" text="Cancel" />
                        
            	<ePixmap position="220,150" size="25,25" pixmap="~/images/key_green_sd.png" zPosition="3" transparent="1" alphatest="blend" />
            	<eLabel position="252,150" zPosition="4" size="200,25" valign="center" font="Regular;20" transparent="1" foregroundColor="#ffffff" backgroundColor="#41000000" text="Save" />
             
            	<ePixmap position="420,150" size="25,25" pixmap="~/images/key_yellow_sd.png" zPosition="3" transparent="1" alphatest="blend" />
            	<eLabel position="452,150" zPosition="4" size="280,25" valign="center" font="Regular;20" transparent="1" foregroundColor="#ffffff" backgroundColor="#41000000" text="Virtual keyboard" />
        	</screen>""" % VER

    def __init__(self, session, fromkeyboard=False):
        Screen.__init__(self, session)
        self.list = []
        py_link = ("/usr/lib/enigma2/python/Screens/VirtualKeyBoard.py")
        if not os.path.islink(py_link):
            config.NewVirtualKeyBoard.textinput.value = "VirtualKeyBoard"
            config.NewVirtualKeyBoard.textinput.save()
        else:
            config.NewVirtualKeyBoard.textinput.value = "NewVirtualKeyBoard"
            config.NewVirtualKeyBoard.textinput.save()
        self.skin_path = resolveFilename(SCOPE_PLUGINS, "SystemPlugins/NewVirtualKeyBoard")
        self.fromkeyboard = fromkeyboard
        self['config'] = MenuList([])
        ConfigListScreen.__init__(self, self.list, session=session, on_change=self.changedEntry)
        self['setupActions'] = ActionMap(['SetupActions', 'ColorActions'], {
            'green': self.keySave,
            'yellow': self.showNewkeyboard,
            'cancel': self.keyClose
            #"left": self.keyLeft,
            #"right": self.keyRight
        }, -2)
        self.fontssize = config.NewVirtualKeyBoard.fontssize.value
        self.currKeyoboard = config.NewVirtualKeyBoard.textinput.value
        self.showKeyoboard = config.NewVirtualKeyBoard.showsuggestion.value
        self.createConfigList()

    def changedEntry(self):
        cur = self['config'].list[0]
        curval = cur[1].value
        print("curval", curval)
        if 'NewVirtualKeyBoard' == curval:
            self.createConfigList(True)
        else:
            self.createConfigList(False)

    def createConfigList(self, value=False):
        self.list = []
        self.list.append(getConfigListEntry(_('Text input method-keyboard:'), config.NewVirtualKeyBoard.textinput))
        if config.NewVirtualKeyBoard.textinput.value == 'NewVirtualKeyBoard' or value is True:
            self.list.append(getConfigListEntry(_('Show google and history suggestion:'), config.NewVirtualKeyBoard.showsuggestion))
            self.list.append(getConfigListEntry(_('Increase and Decrease font size (from 01 to 30):'), config.NewVirtualKeyBoard.fontssize))
        else:
            pass
        self.list.append(getConfigListEntry(_('Show plugin in Plugin Browser (Need restart E2):'), config.NewVirtualKeyBoard.showinplugins))
        self['config'].list = self.list
        self['config'].l.setList(self.list)

    def keySave(self):
        for x in self['config'].list:
            x[1].save()
        configfile.save()
        py_link = ("/usr/lib/enigma2/python/Screens/VirtualKeyBoard.py")
        pyc_link = ("/usr/lib/enigma2/python/Screens/VirtualKeyBoard.pyc")
        py_image = ("/usr/lib/enigma2/python/Screens/VirtualKeyBoard.py")
        py_backup = ("/usr/lib/enigma2/python/Screens/VirtualKeyBoard_backup.py")
        pyo_image = ("/usr/lib/enigma2/python/Screens/VirtualKeyBoard.pyo")
        pyc_image = ("/usr/lib/enigma2/python/Screens/VirtualKeyBoard.pyc")
        pyo_backup = ("/usr/lib/enigma2/python/Screens/VirtualKeyBoard_backup.pyo")
        pyc_backup = ("/usr/lib/enigma2/python/Screens/VirtualKeyBoard_backup.pyc")
        py_NewVirtualKeyBoard = resolveFilename(SCOPE_PLUGINS, "SystemPlugins/NewVirtualKeyBoard/VirtualKeyBoard.py")

        if not config.NewVirtualKeyBoard.textinput.value == self.currKeyoboard or config.NewVirtualKeyBoard.showsuggestion.value == self.showKeyoboard or not config.NewVirtualKeyBoard.fontssize.value == self.fontssize:
            if config.NewVirtualKeyBoard.textinput.value == "NewVirtualKeyBoard":
                #if os.path.exists(pyc_link):
                #    os.remove(pyc_link)
                if not os.path.islink(py_link):
                    if os.path.exists(py_image):
                        os.rename(py_image, py_backup)
                        if os.path.exists(pyo_image):
                            os.remove(pyo_image)
                        elif os.path.exists(pyc_image):
                            os.remove(pyc_image)
                    elif os.path.exists(pyo_image):
                        os.rename(pyo_image, pyo_backup)
                    elif os.path.exists(pyc_image):
                        os.rename(pyc_image, pyc_backup)
                    os.symlink(py_NewVirtualKeyBoard, py_link)

            elif config.NewVirtualKeyBoard.textinput.value == "VirtualKeyBoard":
                if os.path.islink(py_link):
                    if os.path.exists(py_backup):
                        os.remove(py_link)
                        os.rename(py_backup, py_image)
                    elif os.path.exists(pyo_backup):
                        os.remove(py_link)
                        os.rename(pyo_backup, pyo_image)
                    elif os.path.exists(pyc_backup):
                        os.remove(py_link)
                        os.rename(pyc_backup, pyc_image)
                else:
                    pass

            self.session.openWithCallback(self.restartenigma, MessageBox, _('Restart enigma2 to load new settings?'), MessageBox.TYPE_YESNO)
        else:
            self.close(True)

    def showNewkeyboard(self):
        if self.fromkeyboard:
            self.close()
        else:
            try:
                from Plugins.SystemPlugins.NewVirtualKeyBoard.VirtualKeyBoard import VirtualKeyBoard
                self.session.open(VirtualKeyBoard)
            except Exception as e:
                print(e)

    def restartenigma(self, result):
        if result:
            from Screens.Standby import TryQuitMainloop
            self.session.open(TryQuitMainloop, 3)
        else:
            self.close(True)

    def keyClose(self):
        for x in self['config'].list:
            x[1].cancel()
        self.close()
